
QGIS Application - Bug report #17518

Browser panel D&D a layer onto a postgresql connection tree node icon fails without notice

2017-11-22 12:20 PM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25415

Description

Schema name is undefined when dropping onto the connection node.

Patch available, just defaults to "public", I will commit in a while...

Associated revisions

Revision 23dfb1de - 2017-11-22 01:02 PM - Alessandro Pasotti 

[bugfix] Browser panel D&D a layer onto a postgresql connection tree node icon fails without notice

Fixes #17518 by defaulting to "public" if no schema is given

History

#1 - 2017-11-22 01:05 PM - Alessandro Pasotti

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/5694

#2 - 2017-11-23 07:53 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|23dfb1de57bfa701f4ed2a9fe1b334497732c3ba.

#3 - 2017-11-24 06:23 PM - Giovanni Manghi

- Resolution set to fixed/implemented
